-- This information tells other players more about the mod
name = "8 Faced Fences Gates [DST]"
description = "Some fancy gates for your walls."
author = "ZupaleX & Dedlee"
version = "0.3.150906b"

forumthread = ""

api_version = 10

-- Can specify a custom icon for this mod!
icon_atlas = "modicon.xml"
icon = "modicon.tex"

dst_compatible = true
dont_starve_compatible = false
reign_of_giants_compatible = true

all_clients_require_mod = true
client_only_mod = false

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {"craft", "gate", "wall"}

configuration_options =
{
	{
		name = "WoodGateBoards_req",
		label = "Wood Gate : Boards",
		hover = "Amount of Boards required to craft a Wood Gate",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9}
		},
		default = 6,
	},
	
	{
		name = "WoodGateHammer_req",
		label = "Wood Gate : Hammer",
		hover = "Amount of Hammers required to craft a Wood Gate",
		options =
		{
			{description = "0", data = 0},
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9}
		},
		default = 1,
	},
	
	{
		name = "WoodGateRope_req",
		label = "Wood Gate : Rope",
		hover = "Amount of Ropes required to craft a Wood Gate",
		options =
		{
			{description = "0", data = 0},
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9}
		},
		default = 4,
	},
	
	{
		name = "WoodGateTooth_req",
		label = "Wood Gate : Tooth",
		hover = "Amount of Teeth required to craft a Wood Gate",
		options =
		{
			{description = "0", data = 0},
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9}
		},
		default = 5,
	},
	
	{
		name = "WoodGateStinger_req",
		label = "Wood Gate : Stinger",
		hover = "Amount of Stingers required to craft a Wood Gate",
		options =
		{
			{description = "0", data = 0},
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9}
		},
		default = 0,
	},
	
	{
		name = "WoodGateTechLevel",
		label = "Wood Gate Tech. Level",
		hover = "Machine required to craft the Wood Gate",
		options =
		{
			{description = "None", data = "NONE"},
			{description = "Sc. Mach.", data = "SCIENCE_ONE"},
			{description = "Alch. Eng.", data = "SCIENCE_TWO"},
		},
		default = "SCIENCE_ONE",
	},	
}


